seduction
 Language:
Welcome, Guest. Please login or register.
Did you miss your activation email?
2018/07/21, 23:27:10


Help

Author [EN] [PL] [ES] [PT] [IT] [DE] [FR] [NL] [TR] [SR] [AR] [RU] Topic: ATTENTION: Qt 5.10 transition ahead  (Read 3488 times)

0 Members and 1 Guest are viewing this topic.

Offline melmarker

  • Global Moderator
  • User
  • *****
  • Posts: 2.275
    • g-com.eu
Re: ATTENTION: Qt 5.10 transition ahead
« Reply #45 on: 2018/04/15, 19:47:04 »
please paste the output of LANG=C apt policy
Those who would give up essential Liberty, to purchase a little temporary Safety, deserve neither Liberty nor Safety. (Benjamin Franklin, November 11, 1755)
Never attribute to malice that which can be adequately explained by stupidity. (Hanlons razor)

Offline jaegermeister

  • User
  • Posts: 209
Re: ATTENTION: Qt 5.10 transition ahead
« Reply #46 on: 2018/04/15, 19:52:14 »
OK, just updated previous link with further requested output.
---------------------------------------
SI VIS PACEM PARA BELLVM
---------------------------------------

Offline melmarker

  • Global Moderator
  • User
  • *****
  • Posts: 2.275
    • g-com.eu
Re: ATTENTION: Qt 5.10 transition ahead
« Reply #47 on: 2018/04/15, 19:55:20 »
ok, we can stop this here and now - no support for systems with deb-multimedia.
Those who would give up essential Liberty, to purchase a little temporary Safety, deserve neither Liberty nor Safety. (Benjamin Franklin, November 11, 1755)
Never attribute to malice that which can be adequately explained by stupidity. (Hanlons razor)

Offline jaegermeister

  • User
  • Posts: 209
Re: ATTENTION: Qt 5.10 transition ahead
« Reply #48 on: 2018/04/15, 19:58:22 »
These packages are not related to deb-multimedia.

There must be some CLI way to force their reinstall with newer versions.
---------------------------------------
SI VIS PACEM PARA BELLVM
---------------------------------------

Offline melmarker

  • Global Moderator
  • User
  • *****
  • Posts: 2.275
    • g-com.eu
Re: ATTENTION: Qt 5.10 transition ahead
« Reply #49 on: 2018/04/15, 21:34:18 »
God damn - you don't get it, right? I rant against deb-multimedia for a reason. and i guess there are some packages that depend on Qt 5.9.2 - kdenlive and k3b are obvious candidates. So stop this.
Those who would give up essential Liberty, to purchase a little temporary Safety, deserve neither Liberty nor Safety. (Benjamin Franklin, November 11, 1755)
Never attribute to malice that which can be adequately explained by stupidity. (Hanlons razor)

Offline absolut

  • User
  • Posts: 382
Re: ATTENTION: Qt 5.10 transition ahead
« Reply #50 on: 2018/04/15, 22:05:23 »
one suggestion would be to purge all deb-multimedia packages, deactivate the repository, and hope that will ease the situation and allow you to fix your install...

just curious... is it really necessary to use deb-multimedia?

Offline melmarker

  • Global Moderator
  • User
  • *****
  • Posts: 2.275
    • g-com.eu
Re: ATTENTION: Qt 5.10 transition ahead
« Reply #51 on: 2018/04/15, 22:07:05 »
To be honest - the problem can be in any there forign source - but the first suspect is still deb-multimedia. The problem is that we had a abi bump in Qt - and this bump manifest in all packages that use Qt private declarations. Mostly in hardware related things like platform plugins, audio and video.
Those who would give up essential Liberty, to purchase a little temporary Safety, deserve neither Liberty nor Safety. (Benjamin Franklin, November 11, 1755)
Never attribute to malice that which can be adequately explained by stupidity. (Hanlons razor)

Offline jaegermeister

  • User
  • Posts: 209
Re: ATTENTION: Qt 5.10 transition ahead
« Reply #52 on: 2018/04/15, 22:20:11 »
It looks I have shot in the right way. Just finished du right now.

After half an hour of awful diving into kde5 dependency hell, manually installing countless qt/kf5/etc packages (like I were on slackware), I finally unlocked the "592 hell". Nothing to do with deb-multmedia (I run it since years without glitches), all offending pckages resulted from main debian repo. Btw, although k3b is installed (no kdenlive, though), it wasn't one of those packages calling for those unsatisfied dependencies (all are listed as ">= some version" so nothing holding back to 592; same scenario of k3b from debian repos). It runs in fact cleanly with 5.10 stuff.

Anyway, still unknown why a simple "apt update" could sort out such hell, and, especially, why following updates never solved it. This is the real bad part of the story and I have no clues about it. Just hoping it does not happen again!

And, btw, please leave God outside this topic, He doesn't deserve your swearing.
---------------------------------------
SI VIS PACEM PARA BELLVM
---------------------------------------

Offline df8oe

  • User
  • Posts: 36
  • Linux von Innen
    • DF8OE
Re: ATTENTION: Qt 5.10 transition ahead
« Reply #53 on: 2018/04/16, 09:44:39 »
I confirm that this is mostly related to "special repositories" like multimedia & co. And if you ever have used some like these you ran in trouble. Not big trouble at all if you are familar with debian and its package system - but if you are not this can cost hours of life  ::) .


Offline jaegermeister

  • User
  • Posts: 209
Re: ATTENTION: Qt 5.10 transition ahead
« Reply #54 on: 2018/04/16, 15:30:44 »
Please let me have some doubts about this; here follows today's output of another machine running siduction with KDE, still with same external repos (like deb-multimedia), and last du performed something like 2 months ago. As you may notice, no glitches with apt upgrade plan.

So, same config and almost same installed packages (including k3b), two different machines, two different times to operate du. This reinforces my opinion that some poison entered through that wicked apt update that corrupted in some way package database. Question remaining is why, changing mirrors and reupdating, I couldn't repair it unless purely manually.

Code: [Select]
apt -d dist-upgrade
Lettura elenco dei pacchetti... Fatto
Generazione albero delle dipendenze       
Lettura informazioni sullo stato... Fatto
Calcolo dell'aggiornamento... Fatto
I seguenti pacchetti sono stati installati automaticamente e non sono più richiesti:
  libdns-export169 libdns169 libgnome-desktop-3-12 libhttp-parser2.7.1 libisc-export166 libisc166 libixml10 libpoppler72 libproj12 libre2-3
  libupnp10 libx265-130
Usare "apt autoremove" per rimuoverli.
I seguenti pacchetti saranno RIMOSSI:
  kio-smtp libkf5akonadicalendar5 libkf5akonadicore5 libkf5akonadiwidgets5 libkf5calendarsupport5 libkf5gravatar5 libkf5incidenceeditor5
  libkf5mailcommon5 libkf5mime5 libkf5pimcommon5 libkf5pimtextedit5 libkolab1 libkpimkdav5
I seguenti pacchetti NUOVI saranno installati:
  fonts-lato gnome-keyring-pkcs11 gstreamer1.0-gl javascript-common libbrotli1 libcapstone3 libdns-export1100 libdns1100 libfcitx-qt5-data
  libgnome-desktop-3-17 libgraphene-1.0-0 libgstreamer-gl1.0-0 libhttp-parser2.8 libisc-export169 libisc169 libisl19 libjs-jquery
  libkf5akonadi-data libkf5akonadicalendar-data libkf5akonadicalendar5abi1 libkf5akonadicore5abi1 libkf5akonadiprivate5abi1
  libkf5akonadiwidgets5abi1 libkf5calendarcore5abi1 libkf5calendarsupport5abi1 libkf5gravatar-data libkf5gravatar5abi1 libkf5incidenceeditor-data
  libkf5incidenceeditor5abi1 libkf5mailcommon-data libkf5mailcommon5abi1 libkf5mediawiki5 libkf5mime-data libkf5mime5abi1 libkf5pimcommon-data
  libkf5pimcommon5abi1 libkf5pimtextedit-data libkf5pimtextedit-plugins libkf5pimtextedit5abi1 libkpimgapiblogger5 libkpimkdav-data
  libkpimkdav5abi1 libkpimsmtp5 liblrdf0 libomp5 libopenexr23 libproj13 libqt5multimediaquick5 libruby2.5 libu2f-udev libwoff1
  linux-headers-4.16.2-towo.2-siduction-amd64 linux-image-4.16.2-towo.2-siduction-amd64 newsboat openjdk-9-jre openjdk-9-jre-headless
  python3-olefile ruby2.5 weechat-perl weechat-python weechat-ruby
I seguenti pacchetti saranno aggiornati:
  accountwizard adwaita-icon-theme adwaita-qt akonadi-backend-mysql akonadi-contacts-data akonadi-mime-data akonadi-server akonadiconsole
  akregator apt apt-utils automake autopoint baloo-kf5 base-passwd bash bash-completion bc bind9-host binutils binutils-common
  binutils-x86-64-linux-gnu blogilo bluedevil bluetooth bluez bluez-obexd breeze breeze-cursor-theme breeze-icon-theme bridge-utils bsdutils
  bubblewrap ca-certificates ca-certificates-java chromium chromium-common chromium-l10n cifs-utils console-setup console-setup-linux cpp cpp-6
  cpp-7 cron cryptsetup cryptsetup-bin cups cups-browsed cups-bsd cups-client cups-common cups-core-drivers cups-daemon cups-filters
  cups-filters-core-drivers cups-ipp-utils cups-ppdc cups-server-common dc dconf-cli dconf-editor dconf-gsettings-backend dconf-service debhelper
  debugedit default-jre default-jre-headless desktop-file-utils dh-autoreconf dh-python dh-strip-nondeterminism digikam digikam-data
  digikam-private-libs djview4 dnsutils drkonqi e2fslibs e2fsprogs ethtool evince evince-common fdisk findutils firefox firefox-l10n-it fontconfig
  fontconfig-config fonts-hack fonts-hack-ttf fonts-lyx fonts-noto-cjk fonts-opensymbol foomatic-db frameworkintegration g++ g++-6 g++-7
  galternatives gcc gcc-5-base gcc-6 gcc-6-base gcc-7 gcc-7-base gcc-8-base gcc-8-base:i386 gcr gdal-data gettext gettext-base gimp gimp-data
  gir1.2-atk-1.0 gir1.2-freedesktop gir1.2-gdkpixbuf-2.0 gir1.2-glib-2.0 gir1.2-gtk-3.0 gir1.2-pango-1.0 git git-man glib-networking
  glib-networking-common glib-networking-services gnome-desktop3-data gnome-icon-theme gnome-keyring gnome-screensaver grub-common
  grub-efi-amd64-bin grub-efi-ia32-bin grub-pc grub-pc-bin grub2-common gsettings-desktop-schemas gstreamer1.0-alsa gstreamer1.0-plugins-bad
  gstreamer1.0-plugins-base gstreamer1.0-plugins-good gstreamer1.0-plugins-ugly gstreamer1.0-pulseaudio gstreamer1.0-tools gstreamer1.0-x
  gtk-update-icon-cache gvfs gvfs-backends gvfs-bin gvfs-common gvfs-daemons gvfs-fuse gvfs-libs hdparm hicolor-icon-theme hplip hplip-data
  hunspell-en-gb hunspell-it hunspell-ru hyphen-de hyphen-fr hyphen-it ibus-gtk3 imagemagick imagemagick-6-common imagemagick-6.q16 inotify-tools
  intel-microcode iproute2 irssi isc-dhcp-client isc-dhcp-server java-common k3b k3b-data k3b-i18n kaddressbook kalarm kde-baseapps kde-cli-tools
  kde-cli-tools-data kde-config-cddb kde-config-sddm kde-plasma-desktop kde-runtime kde-standard kde-style-breeze kdeadmin kdeconnect kded5
  kdegraphics kdemultimedia kdenetwork kdepim kdepim-runtime kdeplasma-addons-data kdetoys kdeutils kdoctools5 keyboard-configuration
  kf5-kdepim-apps-libs-data kf5-messagelib-data kgpg khotkeys khotkeys-data kimageformat-plugins kinfocenter kinit kio kio-extras kio-ldap
  kio-sieve kipi-plugins kipi-plugins-common kleopatra kmail kmenuedit knotes konsole konsole-kpart konsolekalendar kontact korganizer
  kpackagetool5 kross kscreen ksshaskpass ksysguard ksysguard-data ksysguardd ktexteditor-data ktexteditor-katepart kwayland-data kwin-addons
  kwin-common kwin-data kwin-style-breeze kwin-x11 libaio1 libamd2 libapparmor1 libappstream4 libappstreamqt2 libapt-inst2.0 libapt-pkg5.0
  libarpack2 libasan3 libasan4 libatasmart4 libatk-bridge2.0-0 libatk1.0-0 libatk1.0-data libatomic1 libatomic1:i386 libatspi2.0-0
  libayatana-appindicator3-1 libayatana-indicator3-7 libbabl-0.1-0 libbasicusageenvironment1 libbind9-160 libbinutils libblkid1 libblkid1:i386
  libbluetooth3 libboost-chrono1.62.0 libboost-date-time1.62.0 libboost-filesystem1.62.0 libboost-iostreams1.62.0 libboost-locale1.62.0
  libboost-program-options1.62.0 libboost-regex1.62.0 libboost-system1.62.0 libboost-thread1.62.0 libbrlapi0.6 libc-bin libc-dev-bin libc-l10n
  libc6 libc6:i386 libc6-dev libcacard0 libcamd2 libcapi20-3 libcapi20-3:i386 libcc1-0 libccolamd2 libcddb2 libcholmod3 libcilkrts5 libcln6
  libcolamd2 libcolorcorrect5 libcom-err2 libcom-err2:i386 libcomerr2 libcpupower1 libcryptsetup12 libcups2 libcupscgi1 libcupsfilters1
  libcupsimage2 libcupsmime1 libcupsppdc1 libdconf1 libdebconfclient0 libdirectfb-1.7-7 libdouble-conversion1 libdrm-amdgpu1 libdrm-amdgpu1:i386
  libdrm-common libdrm-intel1 libdrm-intel1:i386 libdrm-nouveau2 libdrm-nouveau2:i386 libdrm-radeon1 libdrm-radeon1:i386 libdrm2 libdrm2:i386
  libdvdcss2 libdw1 libegl-mesa0 libegl1 libegl1-mesa libelf-dev libelf1 libelf1:i386 libetonyek-0.1-1 libevdev2 libevdocument3-4 libevview3-3
  libexif12 libexif12:i386 libext2fs2 libfcitx-qt5-1 libfdisk1 libfdk-aac1 libfftw3-bin libfftw3-double3 libfftw3-long3 libfftw3-quad3
  libfftw3-single3 libfile-stripnondeterminism-perl libfltk-images1.3 libfltk1.3 libfluidsynth1 libfontconfig1 libfontconfig1:i386 libfontembed1
  libfreerdp-client2-2 libfreerdp2-2 libgbm1 libgc1c2 libgcc-6-dev libgcc-7-dev libgcc1 libgcc1:i386 libgck-1-0 libgcr-base-3-1 libgcr-ui-3-1
  libgcrypt20 libgcrypt20:i386 libgdal20 libgdbm-compat4 libgdbm5 libgdcm2.8 libgdk-pixbuf2.0-0 libgdk-pixbuf2.0-common libgee-0.8-2 libgegl-0.3-0
  libgeos-3.6.2 libgeos-c1v5 libgeotiff2 libgfortran4 libgimp2.0 libgirepository-1.0-1 libgit2-26 libgl1 libgl1:i386 libgl1-mesa-dri
  libgl1-mesa-dri:i386 libgl1-mesa-glx libgl1-mesa-glx:i386 libglapi-mesa libglapi-mesa:i386 libgles2 libgles2-mesa libglib2.0-0 libglib2.0-0:i386
  libglib2.0-bin libglib2.0-data libglibmm-2.4-1v5 libglvnd0 libglvnd0:i386 libglx-mesa0 libglx-mesa0:i386 libglx0 libglx0:i386 libgmp10
  libgmp10:i386 libgnat-7 libgoa-1.0-0b libgoa-1.0-common libgomp1 libgpg-error0 libgpg-error0:i386 libgraphite2-3 libgroupsock8
  libgstreamer-plugins-bad1.0-0 libgstreamer-plugins-base1.0-0 libgstreamer-plugins-base1.0-0:i386 libgstreamer1.0-0 libgstreamer1.0-0:i386
  libgtk-3-0 libgtk-3-common libgupnp-igd-1.0-4 libharfbuzz-icu0 libharfbuzz0b libhdf5-100 libhpmud0 libhttp-message-perl libhttp-negotiate-perl
  libibus-1.0-5 libicu57 libicu57:i386 libidn11 libimlib2 libimobiledevice6 libinotifytools0 libinput-bin libinput-tools libinput10
  libipc-run-perl libirs-export160 libirs160 libisccc160 libisccfg-export160 libisccfg160 libisl15 libitm1 libjavascriptcoregtk-4.0-18 libjim0.77
  libk3b7 libkate1 libkf5activities5 libkf5activitiesstats1 libkf5akonadiagentbase5 libkf5akonadicontact5 libkf5akonadimime5 libkf5akonadinotes5
  libkf5akonadisearch-bin libkf5akonadisearch-data libkf5akonadisearch-plugins libkf5akonadisearchcore5 libkf5akonadisearchdebug5
  libkf5akonadisearchpim5 libkf5akonadisearchxapian5 libkf5akonadixml5 libkf5alarmcalendar5 libkf5archive5 libkf5attica5 libkf5auth-data
  libkf5auth5 libkf5baloo5 libkf5balooengine5 libkf5blog5 libkf5bluezqt-data libkf5bluezqt6 libkf5bookmarks-data libkf5bookmarks5
  libkf5calendarevents5 libkf5calendarsupport-data libkf5calendarutils5 libkf5cddb5 libkf5codecs-data libkf5codecs5 libkf5completion-data
  libkf5completion5 libkf5config-bin libkf5config-data libkf5configcore5 libkf5configgui5 libkf5configwidgets-data libkf5configwidgets5
  libkf5contacteditor5 libkf5contacts-data libkf5contacts5 libkf5coreaddons-data libkf5coreaddons5 libkf5crash5 libkf5dbusaddons-bin
  libkf5dbusaddons-data libkf5dbusaddons5 libkf5declarative-data libkf5declarative5 libkf5dnssd-data libkf5dnssd5 libkf5doctools5
  libkf5emoticons-bin libkf5emoticons-data libkf5emoticons5 libkf5eventviews-data libkf5eventviews5 libkf5filemetadata-bin libkf5filemetadata-data
  libkf5filemetadata3 libkf5followupreminder5 libkf5globalaccel-bin libkf5globalaccel-data libkf5globalaccel5 libkf5globalaccelprivate5
  libkf5grantleetheme-plugins libkf5grantleetheme5 libkf5guiaddons5 libkf5holidays-data libkf5holidays5 libkf5i18n-data libkf5i18n5
  libkf5iconthemes-bin libkf5iconthemes-data libkf5iconthemes5 libkf5identitymanagement5 libkf5idletime5 libkf5imap5 libkf5incidenceeditor-bin
  libkf5itemmodels5 libkf5itemviews-data libkf5itemviews5 libkf5jobwidgets-data libkf5jobwidgets5 libkf5js5 libkf5jsapi5 libkf5jsembed-data
  libkf5jsembed5 libkf5kaddressbookgrantlee5 libkf5kaddressbookimportexport5 libkf5kcmutils-data libkf5kcmutils5 libkf5kdelibs4support-data
  libkf5kdelibs4support5 libkf5kdelibs4support5-bin libkf5kdepimdbusinterfaces5 libkf5khtml-bin libkf5khtml-data libkf5khtml5 libkf5kiocore5
  libkf5kiofilewidgets5 libkf5kiogui5 libkf5kiontlm5 libkf5kiowidgets5 libkf5kirigami2-5 libkf5kmanagesieve5 libkf5kontactinterface-data
  libkf5kontactinterface5 libkf5krosscore5 libkf5krossui5 libkf5ksieve-data libkf5ksieve5 libkf5ksieveui5 libkf5ldap5 libkf5libkdepim-data
  libkf5libkdepim-plugins libkf5libkdepim5 libkf5libkdepimakonadi5 libkf5libkleo-data libkf5libkleo5 libkf5mailcommon-plugins libkf5mailimporter5
  libkf5mailtransport-data libkf5mailtransport5 libkf5mailtransportakonadi5 libkf5mbox5 libkf5messagecomposer5 libkf5messagecore5
  libkf5messagelist5 libkf5messageviewer5 libkf5mimetreeparser5 libkf5networkmanagerqt6 libkf5newstuff-data libkf5newstuff5 libkf5newstuffcore5
  libkf5notifications-data libkf5notifications5 libkf5notifyconfig-data libkf5notifyconfig5 libkf5package-data libkf5package5 libkf5parts-data
  libkf5parts-plugins libkf5parts5 libkf5people-data libkf5people5 libkf5peoplebackend5 libkf5peoplewidgets5 libkf5pimcommon-plugins
  libkf5pimcommonakonadi5 libkf5plasma5 libkf5plasmaquick5 libkf5prison5 libkf5pty-data libkf5pty5 libkf5quickaddons5 libkf5runner5
  libkf5sendlater5 libkf5service-bin libkf5service-data libkf5service5 libkf5solid5 libkf5solid5-data libkf5sonnet5-data libkf5sonnetcore5
  libkf5sonnetui5 libkf5style5 libkf5su-bin libkf5su-data libkf5su5 libkf5syndication5 libkf5syntaxhighlighting-data libkf5syntaxhighlighting5
  libkf5templateparser5 libkf5texteditor-bin libkf5texteditor5 libkf5textwidgets-data libkf5textwidgets5 libkf5threadweaver5 libkf5tnef5
  libkf5unitconversion-data libkf5unitconversion5 libkf5wallet-bin libkf5wallet-data libkf5wallet5 libkf5waylandclient5 libkf5waylandserver5
  libkf5webengineviewer5 libkf5widgetsaddons-data libkf5widgetsaddons5 libkf5windowsystem-data libkf5windowsystem5 libkf5xmlgui-bin
  libkf5xmlgui-data libkf5xmlgui5 libkf5xmlrpcclient-data libkf5xmlrpcclient5 libkfontinst5 libkfontinstui5 libkgantt2 libkpathsea6
  libkpimgapi-data libkpimgapicalendar5 libkpimgapicontacts5 libkpimgapicore5 libkpimgapitasks5 libkwalletbackend5-5 libkwin4-effect-builtins1
  libkwineffects11 libkwinglutils11 libkwinxrenderutils11 libkworkspace5-5 liblivemedia62 libllvm5.0 libllvm5.0:i386 liblsan0 liblwres160 liblz4-1
  liblz4-1:i386 libmagick++-6.q16-8 libmagickcore-6.q16-5 libmagickcore-6.q16-5-extra libmagickwand-6.q16-5 libmbim-glib4 libmbim-proxy
  libmicrodns0 libmm-glib0 libmount1 libmount1:i386 libmpg123-0 libmpg123-0:i386 libmpx2 libmsgpackc2 libmspack0 libnautilus-extension1a
  libnet-ssleay-perl libnetcdf13 libnewt0.52 libnghttp2-14 libnspr4 libnss-myhostname libnss3 libogdi3.2 libopencv-core3.2 libopencv-highgui3.2
  libopencv-imgcodecs3.2 libopencv-imgproc3.2 libopencv-ml3.2 libopencv-objdetect3.2 libopencv-videoio3.2 libopenmpt0 liborcus-0.13-0 libout123-0
  libp11-kit0 libp11-kit0:i386 libpam-systemd libpango-1.0-0 libpango1.0-0 libpangocairo-1.0-0 libpangoft2-1.0-0 libpangoxft-1.0-0
  libparted-fs-resize0 libparted2 libpciaccess0 libpciaccess0:i386 libpcre2-16-0 libpcre2-8-0 libpcsclite1 libperl5.26
  libplasma-geolocation-interface5 libpolkit-agent-1-0 libpolkit-backend-1-0 libpolkit-gobject-1-0 libpopt0 libpowerdevilcore2 libpowerdevilui5
  libpq5 libprocps6 libproxy-tools libproxy1v5 libpsl5 libpulse-mainloop-glib0 libpulse0 libpulse0:i386 libpulsedsp libpurple0 libpython2.7
  libpython2.7-minimal libpython2.7-stdlib libpython3-stdlib libpython3.5-minimal libpython3.5-stdlib libpython3.6 libpython3.6-minimal
  libpython3.6-stdlib libqmi-glib5 libqmi-proxy libqpdf21 libqt5concurrent5 libqt5core5a libqt5dbus5 libqt5designer5 libqt5designercomponents5
  libqt5gui5 libqt5help5 libqt5multimedia5 libqt5network5 libqt5opengl5 libqt5positioning5 libqt5printsupport5 libqt5qml5 libqt5quick5
  libqt5quickcontrols2-5 libqt5quicktemplates2-5 libqt5quickwidgets5 libqt5script5 libqt5sensors5 libqt5serialport5 libqt5sql5 libqt5sql5-mysql
  libqt5sql5-sqlite libqt5svg5 libqt5test5 libqt5waylandclient5 libqt5waylandcompositor5 libqt5webchannel5 libqt5webengine-data libqt5webengine5
  libqt5webenginecore5 libqt5webenginewidgets5 libqt5webkit5 libqt5widgets5 libqt5x11extras5 libqt5xml5 libqt5xmlpatterns5 libqtav1
  libqtavwidgets1 libquadmath0 libraw16 libreoffice libreoffice-avmedia-backend-gstreamer libreoffice-base libreoffice-base-core
  libreoffice-base-drivers libreoffice-calc libreoffice-common libreoffice-core libreoffice-draw libreoffice-help-it libreoffice-impress
  libreoffice-java-common libreoffice-l10n-it libreoffice-math libreoffice-ogltrans libreoffice-report-builder-bin libreoffice-style-breeze
  libreoffice-style-galaxy libreoffice-style-tango libreoffice-writer librpm8 librpmbuild8 librpmio8 librpmsign8 libsamplerate0 libsane-hpaio
  libscim8v5 libsdl-image1.2 libsecret-1-0 libsecret-common libselinux1:i386 libselinux1 libsemanage1 libserf-1-1 libsidplay1v5 libsigc++-2.0-0v5
  libsigsegv2 libslang2 libsmartcols1 libsmbclient libsnmp-base libsnmp30 libsoup-gnome2.4-1 libsoup2.4-1 libspatialite7 libsqlite3-0 libss2
  libssl1.0.2 libssl1.1 libstdc++-6-dev libstdc++-7-dev libstdc++6 libstdc++6:i386 libstfl0 libsuitesparseconfig5 libsvn1 libsystemd0
  libsystemd0:i386 libtaskmanager6 libtcl8.6 libtesseract4 libtiff5 libtiff5:i386 libtk8.6 libtsan0 libubsan0 libudev1 libudev1:i386 libudisks2-0
  libumfpack5 libunwind8 libusageenvironment3 libuuid1 libuuid1:i386 libva-drm2 libva-wayland2 libva-x11-2 libva2 libvlc-bin libvlc5 libvlccore9
  libvorbis0a libvorbis0a:i386 libvorbisenc2 libvorbisenc2:i386 libvorbisfile3 libvorbisidec1 libvte-2.91-0 libvte-2.91-common libvterm0
  libvulkan1 libwacom-common libwacom2 libwayland-egl1-mesa libwbclient0 libweather-ion7 libwebkit2gtk-4.0-37 libwinpr2-2 libwww-perl
  libwww-robotrules-perl libwxbase3.0-0v5 libwxgtk3.0-0v5 libx11-6 libx11-6:i386 libx11-data libx11-xcb1 libx11-xcb1:i386 libxatracker2
  libxcb-composite0 libxcb-damage0 libxcb-dpms0 libxcb-dri2-0 libxcb-dri2-0:i386 libxcb-dri3-0 libxcb-dri3-0:i386 libxcb-glx0 libxcb-glx0:i386
  libxcb-present0 libxcb-present0:i386 libxcb-randr0 libxcb-record0 libxcb-render0 libxcb-shape0 libxcb-shm0 libxcb-sync1 libxcb-sync1:i386
  libxcb-xf86dri0 libxcb-xfixes0 libxcb-xfixes0:i386 libxcb-xinerama0 libxcb-xkb1 libxcb-xv0 libxcb1 libxcb1:i386 libxcomp3 libxen-4.8
  libxenstore3.0 libxerces-c3.2 libxfont2 libxshmfence1 libxshmfence1:i386 libzeitgeist-2.0-0 linux-cpupower linux-headers-siduction-amd64
  linux-image-siduction-amd64 linux-libc-dev locales lynx lynx-common man-db maxima maxima-doc

[OUTPUT CUT]

1160 aggiornati, 61 installati, 13 da rimuovere e 0 non aggiornati.
È necessario scaricare 1.475 MB di archivi.
Dopo quest'operazione, verranno occupati 611 MB di spazio su disco.
---------------------------------------
SI VIS PACEM PARA BELLVM
---------------------------------------

Offline devil

  • Administrator
  • User
  • *****
  • Posts: 4.219
Re: ATTENTION: Qt 5.10 transition ahead
« Reply #55 on: 2018/04/16, 15:55:01 »
Most of us still don't speak Italian. so please keep your output in English in the interest of all users. You are so far the only one with the problem, so it's hard to say what the cause is.

Offline hendrikL

  • User
  • Posts: 251
Re: ATTENTION: Qt 5.10 transition ahead
« Reply #56 on: 2018/04/16, 16:39:21 »
Mh, i do not really understand the problem.
Some packages will be removed and some will be new installed, so take a look if that packages are longer needed or if they get replaced by another one.

I don't have the kdepim package installed, so i cant tell you if some important thing will be removed.

And please, use LANG=C apt .... so we can read the output ;) , i used https://www.deepl.com/translator to see what is written there.

greetz hendrik

Offline piper

  • Global Moderator
  • User
  • *****
  • Posts: 1.279
Re: ATTENTION: Qt 5.10 transition ahead
« Reply #57 on: 2018/04/16, 18:51:51 »
Quote from: df8oe
I confirm that this is mostly related to "special repositories" like multimedia & co. And if you ever have used some like these you ran in trouble. Not big trouble at all if you are familar with debian and its package system - but if you are not this can cost hours of life  ::) .

Are you sure you can confirm this ?

I run 3 siduction boxes (one is a server) and one pure sid box all with "the dreaded multimedia repos" and I don't have any problems.

I talked to a few buddies who run sid over at mythtv forums, no problems there either, you need multimedia repos to run mythtv or compile it yourself
debian sid  |  apt into it

"We are the Priests, of the Temples of Syrinx..."

Offline df8oe

  • User
  • Posts: 36
  • Linux von Innen
    • DF8OE
Re: ATTENTION: Qt 5.10 transition ahead
« Reply #58 on: 2018/04/16, 19:11:03 »
Yes, I am sure I can confirm this. I do have 10 different distros simultaneously "in work" ( == keep updated) since ~5 years and I am sure.l


Of course this does not cause problems in every case - I never wrote that. But most problems in full-upgrades can be bound to
1) unpatience of the user in case of transitions
2) "special repos".


Exactly in this order.

Offline piper

  • Global Moderator
  • User
  • *****
  • Posts: 1.279
Re: ATTENTION: Qt 5.10 transition ahead
« Reply #59 on: 2018/04/16, 19:42:34 »
Well, I have 16 years with the multimedia repo alone in sid, my private siduction builds are built with it also, never had a problem
debian sid  |  apt into it

"We are the Priests, of the Temples of Syrinx..."